unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, DBGrids, Db, SMIBase, SMI2Cell, SMI2XLS, kbmMemTable,
  kbmMemCSVStreamFormat, StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    kbmMemTable1: TkbmMemTable;
    kbmCSVStreamFormat1: TkbmCSVStreamFormat;
    SMImportFromXLS1: TSMImportFromXLS;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    BitBtn1: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  kbmMemTable1.PersistentFile := ExtractFilePath(Application.ExeName) +  'z0203.csv';
  kbmMemTable1.Active := True;
  SMImportFromXLS1.SourceFileName := ExtractFilePath(Application.ExeName) +  'z0203.xls'
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  kbmMemTable1.Active := False;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  SMImportFromXLS1.Execute
end;

end.
